求助,关于paraview的编译问题



  • 大家好,我刚开始学习OpenFoam,自己正在试着按照tutorial中的案例来学习软件,但是当做到第一个案例中cavity时,发现自己的paraview好像有问题,显示:

    xiaocong@xiaocong-QTC6:~/OpenFOAM/xiaocong-7/run/cavity$ FATAL ERROR: The official reader module for OpenFOAM data does not exist on
    your system.  This means that the version of ParaView you are using was not compiled with OpenFOAM, or distributed with a packaged version of OpenFOAM.
    
    For information on packaged versions of OpenFOAM/ParaView and compilation of OpenFOAM/ParaView, see https://openfoam.org/download
    
    Alternatively, you might be able to view your OpenFOAM data with the reader module provided with ParaView by running:
        paraFoam -builtin
    

    看了论坛上的相关帖子好像都是说自己建个环境变量什么的,怎么能根本解决此问题呢,能做到像官方案例中直接输入paraFoam &就可以调出来Paraview呢?如果是需要编译,该如何操作呢,希望知道的大佬不吝赐教,谢谢啦!



  • 按照东岳老师的方法编译,出现错误:

    xiaocong@xiaocong-QTC6:~/OpenFOAM/ThirdParty-7$ ./makeParaView
    ParaView-5.6.0 exists.  Not downloading...
    *** Error: Qt 5 version provided < 5.6
    ***     Please use the -qmake option to specify the location of a version of Qt >= 5.6
    ***     e.g.
    ***         -qmake /usr/local/qt-5.6.0/bin/qmake
    ***         -qmake /home/xiaocong/OpenFOAM/ThirdParty-7/platforms/linux64Gcc/qt-5.6.0/bin/qmake
    

    这又是QT版本低了?晕了,怎么这么复杂。。。



  • 2.1. 绿色版ParaView

    这是最快的方法。直接用paraview吧。初学跟paraFoam没啥区别,比paraFoam友好



  • @东岳 好的,谢谢东岳老师的回复


Log in to reply